Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class GeneralServices

    java.lang.Object
      org.wso2.wsas.admin.service.GeneralServices

    public class GeneralServices

extends java.lang.Object

This class will provide method to access general Axis2 services info and this service will help in uploading incoming attachment to a tmp dir, and the location will be referced with an ID. This ID will be held in ConfigurationContext held property named FILE_RESOURCE_MAP.

Format of payload, aar/mar/jar/xml

Constructor Summary
`GeneralServices()`

Method Summary
`ServiceMetaData` | `getServiceData(java.lang.String serviceName)`
`ServiceGroupMetaData[]` | `listServiceGroups()`
`java.lang.String` | `upload(org.apache.axiom.om.OMElement payload)` Web service method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralServices

    public GeneralServices()

Method Detail

### listServiceGroups

    public ServiceGroupMetaData[] listServiceGroups()
                                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceData

    public ServiceMetaData getServiceData(java.lang.String serviceName)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### upload

    public java.lang.String upload(org.apache.axiom.om.OMElement payload)
                            throws org.apache.axis2.AxisFault

  Web service method

  Parameters:
    `payload` - payload
  Returns:
    String Id
  Throws:
    `org.apache.axis2.AxisFault` - will be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD